%define upstream_name    Math-Vector-Real-kdTree
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Kd-Tree implementation on top of Math::Vector::Real
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Math::Vector::Real) >= 0.60.0
BuildRequires:	perl(Math::Vector::Real::Test)
BuildRequires:	perl(Sort::Key::Top) >= 0.60.0

BuildArch:	noarch

%description
This module implements a kd-Tree data structure in Perl and some related
algorithms.

The following methods are provided:

* $t = Math::Vector::Real::kdTree->new(@points)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README sample
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.150.0-7.mga10
+ Revision: 2199620
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.150.0-6.mga9
+ Revision: 1804462
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-5.mga8
+ Revision: 1495585
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-4.mga7
+ Revision: 1269243
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1029843
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 967650
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 850031
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 746085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 685386
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 633033
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 528718
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.90.0-1.mga4
+ Revision: 447043
- update to 0.09

* Fri Jun 07 2013 jquelin <jquelin> 0.80.0-1.mga4
+ Revision: 439550
- update to 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 369685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 315124
- update to 0.06

* Wed Sep 26 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 298029
- update to 0.05

* Wed Jul 04 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 267389
- update to 0.04

* Thu Jun 30 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 116544
- imported package perl-Math-Vector-Real-kdTree


* Thu Jun 30 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
